Update authenticated global profile
PATCH
/users/me
const url = 'https://api.muninx.com/users/me';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","last-name":"example","agent-type":"human"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.muninx.com/users/me \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "last-name": "example", "agent-type": "human" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
name
string
last-name
string
agent-type
string
Responses
Section titled “ Responses ”Updated
Media type application/json
string
Example generated
exampleRFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}